import request from '@/utils/request'

// 查询云南人口数据导入记录列表
export function listDPopulationDataInfoPreImp(query) {
  return request({
    url: '/dimp/dPopulationDataInfoPreImp/list',
    method: 'get',
    params: query
  })
}


export function importTemplate() {
  return request({
    url: '/dimp/dPopulationDataInfoPreImp/importTemplate',
    method: 'get'
  })
}

// 查询云南人口数据导入记录详细
export function getDPopulationDataInfoPreImp(id) {
  return request({
    url: '/dimp/dPopulationDataInfoPreImp/' + id,
    method: 'get'
  })
}

// 新增云南人口数据导入记录
export function addDPopulationDataInfoPreImp(data) {
  return request({
    url: '/dimp/dPopulationDataInfoPreImp',
    method: 'post',
    data: data
  })
}

// 修改云南人口数据导入记录
export function updateDPopulationDataInfoPreImp(data) {
  return request({
    url: '/dimp/dPopulationDataInfoPreImp',
    method: 'put',
    data: data
  })
}

// 删除云南人口数据导入记录
export function delDPopulationDataInfoPreImp(id) {
  return request({
    url: '/dimp/dPopulationDataInfoPreImp/' + id,
    method: 'delete'
  })
}
